# pompup

![language: Golang](https://img.shields.io/badge/go-blue?style=for-the-badge&logo=go&label=langauge)
[![license](https://img.shields.io/github/license/developomp/pompup?style=for-the-badge&color=yellow)](./LICENSE)

pompup is a personal one-click Arch Linux desktop setup utility tailor made for myself.

## Gallery

![screenshot](.github/img/result1.png)

![result image 2](.github/img/result2.png)

## Wallpaper

![wallpaper](.github/img/wallpaper.png)

- from [a video](https://www.youtube.com/watch?v=QEWV6fiYaDU) at [Chillhop Music](https://www.youtube.com/channel/UCOxqgCwgOqC2lMqC5PYz_Dg)
- Artwork by [Jeff Östberg](https://jeffostberg.se)
- Animation by [Geneviève Delacroix](http://www.genevievelacroix.com)
- Applied Effects (in order)
  - ImageGoNerd - [nordified](https://github.com/Schrodinger-Hat/ImageGoNord) (filtering option toggled)
  - GIMP - gaussian blur 3.5
  - GIMP - level 1 compression

## Software

|                 Software | Choice                                                                                                              |
| -----------------------: | :------------------------------------------------------------------------------------------------------------------ |
| Desktop Environment - 🚀 | [GNOME](https://www.gnome.org) (to be replaced with [COSMIC](https://github.com/pop-os/cosmic-epoch))               |
|               Icons - 💎 | [Papirus](https://github.com/PapirusDevelopmentTeam/papirus-icon-theme)                                             |
|           GTK theme - 🎨 | [Pop!](https://github.com/pop-os/gtk-theme)                                                                         |
|               Shell - 🐚 | [zsh](https://github.com/zsh-users/zsh) with [ohmyzsh](https://github.com/ohmyzsh/ohmyzsh)                          |
|            Terminal - 🖥️ | [kitty](https://github.com/kovidgoyal/kitty)                                                                        |
|             Browser - 🌐 | [Brave](https://github.com/brave/brave-browser)                                                                     |
|   Text Editor & IDE - 📝 | [VSCodium](https://github.com/VSCodium/vscodium) (to be replaced with [zed](https://github.com/zed-industries/zed)) |

## Name?

The project's name was inspired by [rustup](https://github.com/rust-lang/rustup),
a toolchain installer for the Rust programming language. Pompup was originally
supposed to be written in Rust. I later decided to use Go instead, but the name
stuck.

## Usage

It's not meant to run on your machine. Forget about it.

[Gallery]: ./docs/gallery.md
[Hardware]: ./docs/hardware/README.md
